
#! /bin/bash
env=$1
if [ ! $env ]; then  
    env='test'
fi 

echo '当前打包环境: '$env

read -p "请输入压缩后的包名称(直接回车将使用 test_版本号 命名)" libname

if [ ! $libname ]; then  
    JQ_EXEC=`which jq`
    FILE_PATH=./src/manifest.json
    libname=test_$(cat $FILE_PATH | ${JQ_EXEC} .version | sed 's/\"//g')
fi  

echo '打包文件名: '$libname

echo '----------------开始打包--------------------'

yarn build-$env

echo '----------------打包结束--------------------'

zip -r $libname.zip dist/*

open ./
open $libname.zip -R

